Authorization: Bearer ********************{
"name": "string",
"trigger_type": "birthday",
"trigger_config": {
"advance_days": 0,
"send_time": "09:00",
"festival_ids": [
0
]
},
"segment_id": 0,
"title": "string",
"content": "string",
"channels": [
"database"
],
"reward_type": "none",
"reward_amount": 0,
"status": true
}curl --location 'http://prod-cn.your-api-server.com/admin/automation-rules' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"name": "string",
"trigger_type": "birthday",
"trigger_config": {
"advance_days": 0,
"send_time": "09:00",
"festival_ids": [
0
]
},
"segment_id": 0,
"title": "string",
"content": "string",
"channels": [
"database"
],
"reward_type": "none",
"reward_amount": 0,
"status": true
}'{
"id": 0,
"name": "string",
"trigger_type": "string",
"trigger_type_label": "string",
"trigger_type_label_type": "string",
"trigger_config": {
"advance_days": 0,
"send_time": "string",
"festival_ids": [
0
]
},
"segment_id": 0,
"segment": {
"id": 0,
"name": "string"
},
"title": "string",
"content": "string",
"channels": [
"string"
],
"reward_type": "string",
"reward_type_label": "string",
"reward_amount": 0,
"status": true,
"last_triggered_at": "string",
"last_triggered_count": 0,
"admin": {
"id": 0,
"name": "string"
},
"created_at": "string",
"updated_at": "string"
}